org.apache.el.util

## Class Validation

- java.lang.Object
- - org.apache.el.util.Validation

-     public class Validation
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isIdentifier(String key)` Test whether a string is a Java identifier.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isIdentifier

          public static boolean isIdentifier(String key)

      Test whether a string is a Java identifier. Note that the behaviour of this method depend on the system property `org.apache.el.parser.SKIP_IDENTIFIER_CHECK`
      Parameters:
        `key` - The string to test
      Returns:
        `true` if the provided String should be treated as a Java identifier, otherwise false

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.